#include <SPI.h>
#include <Ethernet.h>

boolean connexionOK = false;

// A modifier en fonction de la configuration du server
#define portServer 10003

// Enter a MAC address for your controller below.
// Newer Ethernet shields have a MAC address printed on a sticker on the shield
byte mac[] = { 0x90, 0xA2, 0xDA, 0x0F, 0x14, 0x8B };

// if you don't want to use DNS (and reduce your sketch size)
// use the numeric IP instead of the name for the server:
IPAddress server(192, 168, 1, 6);

// Set the static IP address to use if the DHCP fails to assign
//IPAddress ip(192,168,1,8);


// Initialize the Ethernet client library
// with the IP address and port of the server 
// that you want to connect to (port 80 is default for HTTP):
EthernetClient client;

// Variables pour les tests
int var1 = 1;
int var2 = 2;
int var3 = 3;
int var4 = 4;
int var5 = 5;
int val6 = 6;


void setup() {
  Serial.begin(115200);
  InitEthernet();
}

void loop() {
  EnvoiEhernet();
  delay(1000);
}


void InitEthernet(void)
{
  if (Ethernet.begin(mac) == 0)
  {
    Serial.println("Pas de connexion");
    connexionOK = false;
  }
  else
  {
    connexionOK = true;
    Serial.println("Adresse IP OK");
  }
}

void EnvoiEhernet(void)
{
  if (connexionOK == true)
  {
    if (client.available())
    {
      char c = client.read();
      Serial.println(" if(client.available()");
    }
    if (!client.connected())
    {
      Serial.println("Connexion client...");
      if (client.connect(server, portServer))
      {
        Serial.println("Connexion serveur OK");
        client.print("GET /data/Save.php?var1=");
        client.print(var1);
        client.print("&var2=");
        client.print(var2++);
        client.print("&var3=");
        client.print(var3);
        client.print("&var4=");
        client.print(var4);
        client.print("&var5=");
        client.print(var5);
        client.println(" HTTP/1.0");
        client.println("Connection: close");
        client.println();
        client.stop();
      }
    }
  }
}
